Subject: [apps-discuss] Revised proposal for a DNS API

From: Paul Hoffman <[email-masked]>
Date: Thu, 14 Feb 2013 09:28:50 -0800

Greetings again. After my message a few weeks ago, a couple applications developers were interested enough in the DNS API proposal I am working on to subscribe to the mailing list and send in some really good ideas. I have acted on those, and am soliciting for more.

Please see http://www.vpnc.org/getdns-api/ for the current API proposal and description of the design principles I used to put it together; subscribe to the mailing list at http://www.vpnc.org/mailman/listinfo/getdns-api

I am still seeking input from application developers to say what they would really want to see in an API. I based the design on input from an informal gang of application developers, but I'm sure that other application developers have thought "what I really want from the DNS is X and I want to be able to ask in with an API that does Y"; early discussion on the mailing list has shown that to be true. At some point in the not-distant-future, I will call the design "finished" and hopefully someone will want to implement it.

Please don't discuss the design on the Application Area mailing list; it is really not appropriate here given that this is not IETF work. I just wanted to alert folks of this work.

--Paul Hoffman